Bug 1921880 - Dynamic plugins are not initialized on console load in production mode
Summary: Dynamic plugins are not initialized on console load in production mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Vojtech Szocs
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 18:44 UTC by Samuel Padgett
Modified: 2021-02-24 15:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2021-01-28-060516 Cluster ID: 3e96482b-790e-4272-8f6c-d8d2f5186643 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:84.0) Gecko/20100101 Firefox/84.0
Last Closed: 2021-02-24 15:57:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7972 0 None closed Bug 1921880: Load all dynamic plugins enabled on the cluster upon Console startup 2021-02-20 03:00:37 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:57:30 UTC

Description Samuel Padgett 2021-01-28 18:44:37 UTC
The dynamic plugins set in the operator config are not being loaded on console startup. Only plugins loaded in development mode are being activated. The frontend should initialize all plugins through the console proxy on load instead of loading the URLs directly.

Comment 2 Yadan Pei 2021-02-04 06:20:47 UTC
1. Deploy console-demo-plugin on OpenShift cluster
[yapei@New_Mac dynamic-demo-plugin]$ oc apply -f oc-manifest.yaml 
namespace/console-demo-plugin created
deployment.apps/console-demo-plugin created
service/console-demo-plugin created
consoleplugin.console.openshift.io/console-demo-plugin created
$ oc get pods -n console-demo-plugin
NAME                                  READY   STATUS    RESTARTS   AGE
console-demo-plugin-c9674944c-9r9fn   1/1     Running   0          5m4s

2. enable the demo plugin and save the changes
$ oc edit console.operator.openshift.io cluster
...
spec:
  plugins:
    - console-demo-plugin
...

3. wait for new console pods created and running
4. check cm/console-config YAML to see if plugin settings are updated
$ oc get cm console-config  -n openshift-console -o yaml | grep plugins -A1
    plugins:
      console-demo-plugin: https://console-demo-plugin.console-demo-plugin.svc.cluster.local:9001/

5. open console URL and inspect window.SERVER_FLAGS.consolePlugins via browser console, it returns console-demo-plugin 
> window.SERVER_FLAGS.consolePlugins
["console-demo-plugin"]

console-demo-plugin is automatically loaded, verified on 4.7.0-0.nightly-2021-02-03-165316

Comment 6 errata-xmlrpc 2021-02-24 15:57:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.